ReservationUpdateRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.protocolrecords, class: ReservationUpdateRequest

Package org.apache.hadoop.yarn.api.protocolrecords

# Class ReservationUpdateRequest

java.lang.Object
org.apache.hadoop.yarn.api.protocolrecords.ReservationUpdateRequest

@Public @Unstable public abstract class ReservationUpdateRequest extends Object
`ReservationUpdateRequest` captures the set of requirements the user has to update an existing reservation.

See Also:
  - `ReservationDefinition`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservationUpdateRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ReservationDefinition`
  `getReservationDefinition()`
  Get the `ReservationDefinition` representing the updated user constraints for this reservation
  `abstract ReservationId`
  `getReservationId()`
  Get the `ReservationId`, that corresponds to a valid resource allocation in the scheduler (between start and end time of this reservation)
  `static ReservationUpdateRequest`
  `newInstance(ReservationDefinition reservationDefinition, ReservationId reservationId)`
  `abstract void`
  `setReservationDefinition(ReservationDefinition reservationDefinition)`
  Set the `ReservationDefinition` representing the updated user constraints for this reservation
  `abstract void`
  `setReservationId(ReservationId reservationId)`
  Set the `ReservationId`, that correspond to a valid resource allocation in the scheduler (between start and end time of this reservation)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservationUpdateRequest

    public ReservationUpdateRequest()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static ReservationUpdateRequest newInstance(ReservationDefinition reservationDefinition, ReservationId reservationId)

  - ### getReservationDefinition

    @Public @Unstable public abstract ReservationDefinition getReservationDefinition()
    Get the `ReservationDefinition` representing the updated user constraints for this reservation
    Returns:
      the reservation definition representing user constraints

  - ### setReservationDefinition

    @Public @Unstable public abstract void setReservationDefinition(ReservationDefinition reservationDefinition)
    Set the `ReservationDefinition` representing the updated user constraints for this reservation
    Parameters:
      `reservationDefinition` - the reservation request representing the reservation

  - ### getReservationId

    @Public @Unstable public abstract ReservationId getReservationId()
    Get the `ReservationId`, that corresponds to a valid resource allocation in the scheduler (between start and end time of this reservation)
    Returns:
      the `ReservationId` representing the unique id of the corresponding reserved resource allocation in the scheduler

  - ### setReservationId

    @Public @Unstable public abstract void setReservationId(ReservationId reservationId)
    Set the `ReservationId`, that correspond to a valid resource allocation in the scheduler (between start and end time of this reservation)
    Parameters:
      `reservationId` - the `ReservationId` representing the the unique id of the corresponding reserved resource allocation in the scheduler